org.keycloak.protocol.oidc.par.endpoints

## Class ParRootEndpoint

- java.lang.Object
- - org.keycloak.protocol.oidc.par.endpoints.ParRootEndpoint

- All Implemented Interfaces:
    OIDCExtProvider, OIDCExtProviderFactory, EnvironmentDependentProviderFactory, Provider, ProviderFactory<OIDCExtProvider>

      public class ParRootEndpoint
      extends Object
      implements OIDCExtProvider, OIDCExtProviderFactory, EnvironmentDependentProviderFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParRootEndpoint()`
    `ParRootEndpoint(KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `OIDCExtProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `boolean` | `isSupported()`
    `ParEndpoint` | `request()`
    `void` | `setEvent(EventBuilder event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.protocol.oidc.ext.OIDCExtProviderFactory

      `init, order, postInit`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ParRootEndpoint

          public ParRootEndpoint()

    - #### ParRootEndpoint

          public ParRootEndpoint(KeycloakSession session)

  - ### Method Detail

    - #### request

          @Path(value="/request")
          public ParEndpoint request()

    - #### create

          public OIDCExtProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<OIDCExtProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<OIDCExtProvider>`

    - #### isSupported

          public boolean isSupported()

      Specified by:
        `isSupported` in interface `EnvironmentDependentProviderFactory`
      Returns:
        `true` if the provider is supported and should be available, `false` otherwise

    - #### setEvent

          public void setEvent(EventBuilder event)

      Specified by:
        `setEvent` in interface `OIDCExtProvider`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `OIDCExtProvider`
      Specified by:
        `close` in interface `OIDCExtProviderFactory`
      Specified by:
        `close` in interface `Provider`
      Specified by:
        `close` in interface `ProviderFactory<OIDCExtProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.